var ws_url = "ws://www.mbed/ws/";
var ws = null;
var timer = null;
var flg = 0;

function init () {
	if ("WebSocket" in window) {
		ws = new WebSocket(ws_url);
		output(ws_url);
	} else
	if ("MozWebSocket" in window) {
		ws = new MozWebSocket(ws_url);
		output("moz " + ws_url);
	} else
	if (navigator.userAgent.indexOf('Android') > 0) {
		output("Android");
	}

	if (ws != null) {
		ws.onopen = function(evt) { onOpen(event) };
		ws.onclose = function(evt) { onClose(event) };
		ws.onmessage = function(evt) { onMessage(event) };
		ws.onerror = function(evt) { onError() }; 
	}
}

function output (str) {
	document.getElementById("log").innerHTML += str + "<br />";
}

function onMessage (event) {
	document.getElementById("status").innerHTML = event.data + "<br />";
	output("recv: " + event.data);
}

function onOpen (event) {
	output("接続しました");
}

function onClose (event) {
	output("切断しました");
	ws = null;
}

function onError (event) {
	output("エラー");
}

function send (str) {
	if (ws != null) {
		ws.send(str);
		output("send: " + str);
	}
}

function disconnect () {
	ws.close();
	ws = null;
}

function blink () {
	if (timer == null) {
		ws.send("/DigitalOut/new LED4 led4");
		timer = setInterval("isr_timer()", 500);
	}
}

function isr_timer () {
	if (flg) {
		ws.send("/led4/write 0");
	} else {
		ws.send("/led4/write 1");
	}
	flg = ! flg;
}
